MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026911Open CASCADE[OCCT] OCCT:Configurationpublic2015-11-21 13:442020-06-11 08:36
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026911: Configuration, CMake - strips symbol information from the binary in release configuration if the compiler is a variant of gcc
Descriptionstrips symbol information from the binary in release configuration if the compiler is a variant of gcc
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0031606closedbugmaster Configuration, CMake - build fails with Android NDK + CLang compiler + MinGW Makefiles 
child of 0026247closedbugmaster Configuration, CMake - strip symbols within Release configuration when using non-msvc 

-  Notes
(0048438)
git (administrator)
2015-11-21 13:48

Branch CR26911 has been created by ibs.

SHA-1: 9bfb408a110aeb901ee80a635d969de801f115f7


Detailed log of new commits:

Author: ibs
Date: Sat Nov 21 13:46:04 2015 +0300

    0026911: Configuration, CMake - strips symbol information from the binary in release configuration if the compiler is a variant of gcc
(0048439)
ibs (developer)
2015-11-21 13:50

dear ski,
please review CR26911 branch of OCCT git
(0048440)
git (administrator)
2015-11-21 13:53

Branch CR26911 has been updated forcibly by ibs.

SHA-1: 0849dd0d5c8464e4f1491b45ed35ee419c5cf6e9
(0048475)
ski (developer)
2015-11-23 14:13

No remarks, please proceed.
Please check compilation, testing is not needed.
(0053107)
git (administrator)
2016-04-17 14:14

Branch CR26911 has been deleted by kgv.

SHA-1: 0849dd0d5c8464e4f1491b45ed35ee419c5cf6e9

- Related Changesets
occt: master 4d8eca1d
Timestamp: 2015-11-21 10:46:04
Author: ibs
Committer: bugmaster
Details ] Diff ]
0026911: Configuration, CMake - strips symbol information from the binary in release configuration if the compiler is a variant of gcc

add strip flag when the compiler is a variant of gcc
mod - adm/cmake/occt_defs_flags.cmake Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-21 13:44 ibs New Issue
2015-11-21 13:44 ibs Assigned To => ibs
2015-11-21 13:44 ibs Relationship added child of 0026247
2015-11-21 13:48 git Note Added: 0048438
2015-11-21 13:50 ibs Note Added: 0048439
2015-11-21 13:50 ibs Assigned To ibs => ski
2015-11-21 13:50 ibs Status new => resolved
2015-11-21 13:50 ibs Steps to Reproduce Updated View Revisions
2015-11-21 13:53 git Note Added: 0048440
2015-11-23 14:13 ski Note Added: 0048475
2015-11-23 14:13 ski Assigned To ski => bugmaster
2015-11-23 14:13 ski Status resolved => reviewed
2015-11-23 17:14 bugmaster Changeset attached => occt master 4d8eca1d
2015-11-23 17:14 bugmaster Status reviewed => verified
2015-11-23 17:14 bugmaster Resolution open => fixed
2016-04-17 14:14 git Note Added: 0053107
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed
2020-06-11 08:36 kgv Relationship added parent of 0031606


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker